Bug 962914 - Get Firefox 21 in Beta
Get Firefox 21 in Beta
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
19
All All
unspecified Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
AcceptedFreezeException
:
Depends On:
Blocks: F19Beta-accepted/F19BetaFreezeException
  Show dependency treegraph
 
Reported: 2013-05-14 14:56 EDT by Adam Williamson
Modified: 2013-05-20 20:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-20 20:52:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-05-14 14:56:01 EDT
The Beta freeze is kicking in now, but Firefox 21 just came out and we still have Firefox 20 in stable. That means when you run Firefox on the live image you get the "Firefox is out of date!" page, which kinda sucks. So I'm filing this bug to propose it as an FE, so when Firefox 21 build is done we can get it in through the freeze and avoid this problem. Maintainer, this doesn't require any special action on your part, really - just build FF 21 and submit an update for it, which I'm assuming you're working on already.
Comment 1 Adam Williamson 2013-05-15 14:08:32 EDT
Goddamnit, I'm an idiot - didn't actually propose this.
Comment 2 Tim Flink 2013-05-15 14:20:56 EDT
this is something that would be good to have in beta as long as it happens just about NOW.

It's bad form to have beta with a default browser claiming it's out of date and that users should go to mozilla.org to update.

+1 FE as long as it happens in the next day or two.
Comment 3 Adam Williamson 2013-05-15 14:41:25 EDT
agreed that this is more an 'early freeze' thing than a 'late freeze'. Though to be fair, Mozilla has an excellent track record of ensuring at least basic functionality always works in stable Firefox releases; I think we can have a pretty high degree of confidence in any stable Firefox release meeting our requirements.
Comment 5 Adam Williamson 2013-05-15 20:02:04 EDT
Viking voted +1 in IRC, that's +3.
Comment 6 Adam Williamson 2013-05-20 20:52:35 EDT
Update was pushed stable, closing.

Note You need to log in before you can comment on or make changes to this bug.